Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class DependencyGraph.Builder

    java.lang.Object
      com.google.gwt.inject.rebind.resolution.DependencyGraph.Builder

Enclosing class:
  DependencyGraph

    public static class DependencyGraph.Builder

extends java.lang.Object

Constructor Summary
`DependencyGraph.Builder(GinjectorBindings origin)` Creates a Builder that constructs a new DependencyGraph for the given origin Ginjector.

Method Summary
`DependencyGraph.Builder` | `addEdge(Dependency dependency)`
`DependencyGraph` | `build()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyGraph.Builder

    public DependencyGraph.Builder(GinjectorBindings origin)

  Creates a Builder that constructs a new DependencyGraph for the given origin Ginjector.

  Parameters:
    `origin` - the origin Ginjector

Method Detail

### addEdge

    public DependencyGraph.Builder addEdge(Dependency dependency)

### build

    public DependencyGraph build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD